changeset 3160:4696773a14b1

[project @ 1998-03-02 06:18:12 by jwe]
author jwe
date Mon, 02 Mar 1998 06:23:19 +0000
parents 3ed3f7f1d549
children 2837d1701fd9
files Announce ChangeLog configure.in doc/interpreter/var.texi install-octave install-octave.in octMakefile.in src/ChangeLog src/help.cc
diffstat 9 files changed, 423 insertions(+), 404 deletions(-) [+]
line wrap: on
line diff
--- a/Announce	Tue Feb 24 06:32:31 1998 +0000
+++ b/Announce	Mon Mar 02 06:23:19 1998 +0000
@@ -1,99 +1,33 @@
-Subject: ANNOUNCE: Octave Version 2.0.10 released
+Subject: ANNOUNCE: Octave Version 2.0.11 released
 
-Octave version 2.0.10 is now available for ftp from ftp.che.wisc.edu
-in the directory /pub/octave.  Diffs from the previous have not been
-made because they would be quite large.
+Octave version 2.0.11 is now available for ftp from ftp.che.wisc.edu
+in the directory /pub/octave along with diffs from the previous
+version.
 
-  -rw-r--r--   1 jwe  3621268 Feb  6 16:59 octave-2.0.10.tar.gz
+  -rw-r--r--   1 jwe  3625698 Feb 24 17:06 octave-2.0.11.tar.gz
+  -rw-r--r--   1 jwe    40874 Feb 24 17:07 octave-2.0.10-2.0.11.patch.gz
 
 Most bugs reported since the release of version 2.0 have been fixed.
 
-This is mostly a bug-fixing release, but to keep things interesting,
-there are some new features:
-
-  * The built-in variable `PWD' has been removed.  If you need to get
-    the value of the current working directory, use the pwd() function
-    instead.
-
-  * For compatibility with Matlab, Octave's lyap function now solves
-
-      A*X + X*A' + C = 0
-
-    instead of
-
-      A'*X + X*A + C = 0
-
-    To try to avoid confusion for people who are used to the way
-    Octave behaved in previous versions, a warning is printed the
-    first time lyap is called in a given session.  To completely
-    disable the warning, simply add
-
-      global __disable_lyap_interface_change_warning__;
-
-    to your ~/.octaverc file.  The warning will eventually disappear
-    for good in some future version of Octave.
-
-  * New built-in functions for computing Bessel functions:
-    besseli, besselj, besselk, and bessely.
-
-  * The gammai and betai functions are now implemented as built-in
-    functions rather than function files.
-
-  * The new built-in variable `implicit_num_to_str_ok' controls
-    whether Octave converts expressions like `[97, 98, 99, "123"]' to
-    strings.  The default value is 0 unless you use --traditional.
-
-  * The new built-in variable `fixed_point_format' controls whether
-    Octave uses a scaled fixed-point format for displaying matrices.
-    The default value is 0 unless you use --traditional.
+This is mostly a bug-fixing release, but there is an important
+user-visible change:
 
-  * The function sumsq now computes sum (x .* conj (x)) for complex values.
-
-  * Dynamically linked functions can be cleared.
-
-  * If a .oct file has a time stamp more recent than the time that it
-    was loaded, it is automatically reloaded.  Reloading a .oct file
-    may cause several functions to be cleared automatically.  By
-    default, a warning is printed that lists the names of the
-    functions that will be cleared.  You can suppress the message by
-    setting the new built-in variable `warn_reload_forces_clear' to 0.
-
-  * Global variables are now initialized to the empty matrix, for
-    compatibility with Matlab.
-
-  * Explicit initialization of global variables only happens once.
-    For example, after the following statements are evaluated, g still
-    has the value 1.
+  * There are two new built-in variables that control how global
+    variables are initialized.  If `initialize_global_variables' is
+    nonzero, global variables are initialized to the value of the
+    variable `default_global_variable_value'.  The default value of
+    `initialize_global_variables' is 0 (1 if you use --traditional)
+    and `default_global_variable_value' is undefined (the empty matrix
+    if you use --traditional).  The default settings are compatible
+    with versions of Octave before 2.0.10.
 
-      global g = 1
-      global g = 2
-
-    This is useful for initializing global variables that are used to
-    maintain state information that is shared among several functions.
-
-  * The new built-in variable max_recursion_depth allows you to
-    prevent Octave from attempting infinite recursion.  The default
-    value is 256.
-
-  * Octave now uses readline version 2.1 and kpathsea 3.0.
-
-  * The libreadline and libkpathsea libraries are no longer installed.
-
-  * The libcruft, liboctave, and liboctinterp libraries are now
-    installed in $libdir/octave instead of just $libdir.
-
-  * It's no longer necessary to have libg++, but you do need to have
-    the GNU implementation of libstdc++.  If you are using gcc 2.7.2,
-    libstdc++ is distributed as part of libg++ 2.7.2.  For later
-    versions, libstdc++ is distributed separately.  For egcs,
-    libstdc++ is included with the compiler distribution.
 
 Octave is a high-level interactive language primarily intended for
 numerical computations.  It is mostly compatible with MATLAB.
 
 Additional information is available on the WWW at
 
-  http://www.che.wisc.edu/octave
+  http://www.che.wisc.edu/octave/octave.html
 
 -- 
 John W. Eaton
--- a/ChangeLog	Tue Feb 24 06:32:31 1998 +0000
+++ b/ChangeLog	Mon Mar 02 06:23:19 1998 +0000
@@ -1,3 +1,23 @@
+Mon Mar  2 00:02:26 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>
+
+	* install-octave.in: New file.
+	* configure.in: Create install-octave.
+	* octMakefile.in (distclean, maintainer-clean): Delete install-octave.
+	(DISTFILES): Distribute install-octave.in, not install-octave.
+
+Sun Mar  1 23:15:04 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>
+
+	* configure.in: Fix typo in test for glob and fnmatch headers.
+
+Fri Feb 27 15:43:14 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>
+
+	* configure.in: Fix support for dlopen on SCO systems.
+
+Mon Feb 23 13:06:11 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>
+
+	* configure.in (ieee_fp_flag): Use -mieee-with-inexact on Alphas.
+	Use octave_cv_f77_is_g77, not just f77_is_g77.
+
 Fri Feb 20 00:38:31 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>
 
 	* configure.in, Makeconf.in: Try to set things up to use the
--- a/configure.in	Tue Feb 24 06:32:31 1998 +0000
+++ b/configure.in	Mon Mar 02 06:23:19 1998 +0000
@@ -21,7 +21,7 @@
 ### Software Foundation, 59 Temple Place - Suite 330, Boston, MA
 ### 02111-1307, USA. 
 
-AC_REVISION($Revision: 1.299 $)
+AC_REVISION($Revision: 1.300 $)
 AC_PREREQ(2.9)
 AC_INIT(src/octave.cc)
 AC_CONFIG_HEADER(config.h)
@@ -256,15 +256,15 @@
       AC_MSG_RESULT([adding -mieee-fp to XTRA_CXXFLAGS])])
   ;;
   alpha*-*-*)
-    OCTAVE_CC_FLAG(-mieee, [
-      ieee_fp_flag=-mieee
-      XTRA_CFLAGS="$XTRA_CFLAGS -mieee"
-      AC_MSG_RESULT([adding -mieee to XTRA_CFLAGS])])
+    OCTAVE_CC_FLAG(-mieee-with-inexact, [
+      ieee_fp_flag=-mieee-with-inexact
+      XTRA_CFLAGS="$XTRA_CFLAGS -mieee-with-inexact"
+      AC_MSG_RESULT([adding -mieee-with-inexact to XTRA_CFLAGS])])
 
-    OCTAVE_CXX_FLAG(-mieee, [
-      ieee_fp_flag=-mieee
-      XTRA_CXXFLAGS="$XTRA_CXXFLAGS -mieee"
-      AC_MSG_RESULT([adding -mieee to XTRA_CXXFLAGS])])
+    OCTAVE_CXX_FLAG(-mieee-with-inexact, [
+      ieee_fp_flag=-mieee-with-inexact
+      XTRA_CXXFLAGS="$XTRA_CXXFLAGS -mieee-with-inexact"
+      AC_MSG_RESULT([adding -mieee-with-inexact to XTRA_CXXFLAGS])])
   ;;
 esac
 
@@ -373,7 +373,8 @@
       fi
       case "$canonical_host_type" in
         alpha*-*-*)
-          if test "$f77_is_g77" = yes || test -z "$ieee_fp_flag" ; then
+          if test "$octave_cv_f77_is_g77" = yes \
+	      || test -z "$ieee_fp_flag" ; then
             true
 	  else
 	    FFLAGS="-fpe1 $FFLAGS"
@@ -566,6 +567,11 @@
     SONAME_FLAGS='-Xlinker -soname -Xlinker $@'
     RLD_FLAG='-Xlinker -rpath -Xlinker $(libdir)'
   ;;
+changequote(,)dnl
+  i[3456]86-*-sco3.2v5*)
+changequote([,])dnl
+    SH_LDFLAGS=-G
+  ;;
   rs6000-ibm-aix* | powerpc-ibm-aix*)
     CPICFLAG=
     CXXPICFLAG=
@@ -573,7 +579,7 @@
     DLFCN_DIR=dlfcn
   ;;
   hppa*-hp-hpux*)
-    if test "$f77_is_g77" = yes; then
+    if test "$octave_cv_f77_is_g77" = yes; then
       FPICFLAG=-fPIC
     else
       FPICFLAG=+Z
@@ -589,7 +595,7 @@
     RLD_FLAG='-L$(libdir)'
   ;;
   sparc-sun-sunos4*)
-    if test "$f77_is_g77" = yes; then
+    if test "$octave_cv_f77_is_g77" = yes; then
       FPICFLAG=-fPIC
     else
       FPICFLAG=-PIC
@@ -599,7 +605,7 @@
     RLD_FLAG='-L$(libdir)'
   ;;
   sparc-sun-solaris2*)
-    if test "$f77_is_g77" = yes; then
+    if test "$octave_cv_f77_is_g77" = yes; then
       FPICFLAG=-fPIC
     else
       FPICFLAG=-PIC
@@ -704,8 +710,8 @@
 GLOB_DIR=glob
 LIBGLOB='$(TOPDIR)/glob/libglob.$(LIBEXT)'
 GLOB_INCFLAGS='-I$(top_srcdir)/glob -I$(TOPDIR)/glob'
-if test "$ac_cv_header_fnmatch.h" = yes \
-  && test "$ac_cv_header_glob.h" = yes; then
+if test "$ac_cv_header_fnmatch_h" = yes \
+  && test "$ac_cv_header_glob_h" = yes; then
   GLOB_DIR=
   AC_CHECK_LIB(glob, glob)
   AC_CHECK_FUNCS(fnmatch glob)
@@ -742,6 +748,11 @@
       DLFCN_INCFLAGS='-I$(top_srcdir)/dlfcn -I$(TOPDIR)/dlfcn'
       WITH_DL=true
     ;;
+changequote(,)dnl
+    i[3456]86-*-sco3.2v5*)
+changequote([,])dnl
+      WITH_DL=true
+    ;;
     *)
       AC_CHECK_LIB(dl, dlopen)
       AC_CHECK_FUNCS(dlopen dlsym dlerror dlclose)
@@ -1113,7 +1124,8 @@
 
 ### Do the substitutions in all the Makefiles.
 
-AC_OUTPUT(Makefile octMakefile Makeconf test/Makefile dlfcn/Makefile
+AC_OUTPUT(Makefile octMakefile Makeconf install-octave
+  test/Makefile dlfcn/Makefile
   doc/Makefile doc/faq/Makefile doc/interpreter/Makefile
   doc/liboctave/Makefile doc/refcard/Makefile emacs/Makefile
   examples/Makefile liboctave/Makefile src/Makefile
--- a/doc/interpreter/var.texi	Tue Feb 24 06:32:31 1998 +0000
+++ b/doc/interpreter/var.texi	Mon Mar 02 06:23:19 1998 +0000
@@ -154,6 +154,24 @@
 The default value of @code{warn_comma_in_global_decl} is nonzero.
 @end defvr
 
+@defvr default_global_variable_value
+if @code{initialize_global_variables} is nonzero, the value of
+@code{default_glbaol_variable_value} is used as the initial value of
+global variables that are not explicitly initialized.  for example,
+
+@example
+@group
+initialize_global_variables = 1;
+default_global_variable_value = 13;
+global foo;
+foo
+     @result{} 13
+@end group
+@end example
+
+the variable @code{default_global_variable_value} is initially undefined.
+@end defvr
+
 @deftypefn {Built-in Function} {} is_global (@var{name})
 Return 1 if @var{name} is globally visible.  Otherwise, return 0.  For
 example,
--- a/install-octave	Tue Feb 24 06:32:31 1998 +0000
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,288 +0,0 @@
-#!/bin/sh
-#
-# install-octave -- install script for binary distributions.
-#
-# John W. Eaton
-# jwe@bevo.che.wisc.edu
-# University of Wisconsin-Madison
-# Department of Chemical Engineering
-
-# get version
-version=`cat VERSION 2> /dev/null`
-
-if test -z "$version"
-then
-  echo "install-octave: no version number!"
-  exit 1
-fi
-
-# get host type
-target_host_type=`cat ARCH 2> /dev/null`
-
-if test -z "$target_host_type"
-then
-  echo "install-octave: host archetecture not found!"
-  exit 1
-fi
-
-distdir=`pwd`
-
-# Check whether to use -n or \c to keep echo from printing a newline
-# character.  Stolen from autoconf, which borrowed the idea from dist 3.0.
-
-if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
-  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
-  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
-    echo_n=
-    echo_c='
-'
-  else
-    echo_n=-n
-    echo_c=
-  fi
-else
-  echo_n=
-  echo_c='\c'
-fi
-
-# ==================== Where To Install Things ====================
-
-# The default location for installation.  Everything is placed in
-# subdirectories of this directory.  The default values for many of
-# the variables below are expressed in terms of this one, so you may
-# not need to change them.  This defaults to /usr/local.
-prefix=/usr/local
-
-prefix="/usr/local"
-if test $# -eq 1
-then
-  prefix=$1
-else
-  if test $# -gt 1
-  then
-    echo "usage: install-octave [prefix-directory]"
-    exit 1
-  fi
-fi
-
-# Like `prefix', but used for architecture-specific files.
-exec_prefix="$prefix"
-
-# Where to install Octave and other binaries that people will want to
-# run directly.
-bindir="$exec_prefix/bin"
-
-# Where to install architecture-independent data files.  ${fcnfiledir}
-# and ${localfcnfiledir} are subdirectories of this.
-datadir="$prefix/share"
-
-libdir="$exec_prefix/lib"
-
-# Where to install and expect libraries like libcruft.a and liboctave.a.
-octlibdir="$libdir/octave-$version"
-
-# Where to install and expect executable programs to be run by Octave
-# rather than directly by users.
-libexecdir="$exec_prefix/libexec"
-
-includedir="$prefix/include"
-
-# Where to install Octave's include files.  The default is
-# ${prefix}/include/octave-$version
-octincludedir=$includedir/octave-$version
-
-# Where to install Octave's man pages, and what extension they should
-# have.  The default is ${prefix}/man/man1
-mandir="$prefix/man/man1"
-manext="1"
-
-# Where to install and expect the info files describing Octave..
-infodir="$prefix/info"
-
-# The fill path to the default info file.
-infofile="$infodir/octave.info"
-
-# ==================== Octave-specific directories ====================
-
-# These variables hold the values Octave will actually use.  They are
-# based on the values of the standard Make variables above.
-
-# Where to install the function file distributed with
-# Octave.  This includes the Octave version, so that the
-# function files for different versions of Octave will install
-# themselves in separate directories.
-fcnfiledir="$datadir/octave/$version/m"
-
-# Directories Octave should search for function files specific
-# to this site (i.e. customizations), before consulting
-# ${fcnfiledir}.  This should be a colon-separated list of
-# directories.
-localfcnfiledir="$datadir/octave/site/m"
-localfcnfilepath="$localfcnfiledir//"
-
-# Where to put executables to be run by Octave rather than
-# the user.  This path usually includes the Octave version
-# and configuration name, so that multiple configurations
-# for multiple versions of Octave may be installed at once.
-archlibdir="$libexecdir/octave/$version/exec/$target_host_type"
-
-# Where to put executables to be run by Octave rather than by the
-# user that are specific to this site.
-localarchlibdir="$libexecdir/octave/site/exec/$target_host_type"
-
-# Where to put object files that will by dynamically loaded.
-# This path usually includes the Octave version and configuration
-# name, so that multiple configurations for multiple versions of
-# Octave may be installed at once. 
-octfiledir="$libexecdir/octave/$version/oct/$target_host_type"
-
-# Directories Octave should search for object files that will be
-# dynamically loaded and that are specific to this site
-# (i.e. customizations), before consulting ${octfiledir}.  This should
-# be a colon-separated list of directories.
-localoctfiledir="$libexecdir/octave/site/oct/$target_host_type"
-localoctfilepath="$localoctfiledir//"
-
-# Where Octave will search to find its function files.  Before
-# changing this, check to see if your purpose wouldn't
-# better be served by changing localfcnfilepath.  This
-# should be a colon-separated list of directories.
-fcnfilepath=".:$localoctfilepath:$localfcnfilepath:$octfiledir//:$fcnfiledir//"
-
-# Where Octave will search to find image files.es.
-imagedir="$datadir/octave/$version/imagelib"
-imagepath=".:$imagedir//"
-
-cat << EOF
-Installing octave in the following subdirectories of
-$prefix:
-
-            bindir: `echo $bindir | sed "s,^$prefix/,,"`
-           datadir: `echo $datadir | sed "s,^$prefix/,,"`
-            libdir: `echo $libdir | sed "s,^$prefix/,,"`
-         octlibdir: `echo $octlibdir | sed "s,^$prefix/,,"`
-        includedir: `echo $includedir | sed "s,^$prefix/,,"`
-     octincludedir: `echo $octincludedir | sed "s,^$prefix/,,"`
-            mandir: `echo $mandir | sed "s,^$prefix/,,"`
-           infodir: `echo $infodir | sed "s,^$prefix/,,"`
-        fcnfiledir: `echo $fcnfiledir | sed "s,^$prefix/,,"`
-   localfcnfiledir: `echo $localfcnfiledir | sed "s,^$prefix/,,"`
-        archlibdir: `echo $archlibdir | sed "s,^$prefix/,,"`
-   localarchlibdir: `echo $localarchlibdir | sed "s,^$prefix/,,"`
-        octfiledir: `echo $octfiledir | sed "s,^$prefix/,,"`
-   localoctfiledir: `echo $localoctfiledir | sed "s,^$prefix/,,"`
-          imagedir: `echo $imagedir | sed "s,^$prefix/,,"`
-
-EOF
-
-echo $echo_n "Is this correct [y/N]? " $echo_c
-
-read ans
-
-case "$ans" in
-  y | Y | yes | YES)
-  ;;
-  *)
-    exit 1
-  ;;
-esac
-
-DIRS_TO_MAKE="$bindir $datadir $libdir $octlibdir $libexecdir \
-  $includedir $octincludedir $mandir $infodir $fcnfiledir \
-  $localfcnfiledir $archlibdir $localarchlibdir \
-  $octfiledir $localoctfiledir $imagedir"
-
-./mkinstalldirs $DIRS_TO_MAKE
-
-if test "$prefix" = /usr/local
-then
-  echo "installing src/octave as $bindir/octave"
-  cp src/octave $bindir/octave
-  chmod 755 $bindir/octave
-else
-  echo "installing octave-sh as $bindir/octave"
-  sed "s|@OCTAVE_HOME@|$prefix|; s|@LD_LIBRARY_PATH@|$octlibdir|" octave-sh \
-    > $bindir/octave
-  chmod 755 $bindir/octave
-
-  echo "installing src/octave as $bindir/octave.bin"
-  cp src/octave $bindir/octave.bin
-  chmod 755 $bindir/octave.bin
-fi
-
-echo "installing octave-bug as $bindir/octave-bug"
-cp octave-bug $bindir/octave-bug
-chmod 755 $bindir/octave-bug
-
-echo "installing info as $archlibdir/info"
-cp info/info $archlibdir/info
-chmod 755 $archlibdir/info
-
-if test -f LIBRARIES; then
-  echo "installing shared libraries in $octlibdir"
-  for f in `cat LIBRARIES`
-  do
-    file=`basename $f`
-    cp $f $octlibdir/$file
-    chmod 644 $octlibdir/$file
-  done
-fi
-
-oct_files=`find . -name '*.oct' -print`
-if test -n "$oct_files"; then
-  echo "installing .oct files in $octfiledir"
-  cd src
-  for f in $oct_files
-  do
-    file=`basename $f`
-    cp $f $octfiledir/$file
-    chmod 755 $octfiledir/$file
-  done
-  if test -f links-to-make; then
-    cat links-to-make | while read src dest
-    do
-      if test -n "$src" && test -n "$dest"; then
-	cd $octfiledir
-	ln $src $dest
-      fi
-    done
-  fi
-  cd $distdir
-fi
-
-echo "installing .m files in $fcnfiledir"
-cd scripts
-tar cf - . | ( cd $fcnfiledir ; tar xf - )
-find $fcnfiledir -type f -print | xargs chmod 0644
-find $fcnfiledir -name '*.img' -print | xargs rm -f
-cd $distdir
-
-echo "installing image files in $imagedir"
-cd scripts
-for f in `find . -name '*.img' -print`
-do
-  file=`basename $f`
-  cp $f $imagedir/$file
-  chmod 644 $imagedir/$file
-done
-cd $distdir
-
-echo "creating ls-R file in $datadir/octave"
-ls -LR $datadir/octave > $datadir/octave/ls-R
-
-echo "creating ls-R file in $libexecdir/octave"
-ls -LR $libexecdir/octave > $libexecdir/octave/ls-R
-
-echo "installing info files in $infodir"
-for f in doc/interpreter/octave.info*
-do
-  file=`basename $f`
-  cp $f $infodir/$file
-  chmod 644 $infodir/$file
-done
-
-echo "installing man page in $mandir"
-cp doc/interpreter/octave.1 $mandir/octave.$manext
-chmod 644 $mandir/octave.$manext
-
-exit 0
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/install-octave.in	Mon Mar 02 06:23:19 1998 +0000
@@ -0,0 +1,312 @@
+#!/bin/sh
+#
+# install-octave -- install script for binary distributions.
+#
+# John W. Eaton
+# jwe@bevo.che.wisc.edu
+# University of Wisconsin-Madison
+# Department of Chemical Engineering
+
+# get version
+version=`cat VERSION 2> /dev/null`
+
+if test -z "$version"
+then
+  echo "install-octave: no version number!"
+  exit 1
+fi
+
+# get host type
+canonical_host_type=`cat ARCH 2> /dev/null`
+
+if test -z "$canonical_host_type"
+then
+  echo "install-octave: host archetecture not found!"
+  exit 1
+fi
+
+have_find=true
+case "$canonical_host_type" in
+  *-*-cygwin32)
+    have_find=false
+  ;;
+esac
+
+distdir=`pwd`
+
+# Check whether to use -n or \c to keep echo from printing a newline
+# character.  Stolen from autoconf, which borrowed the idea from dist 3.0.
+
+if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
+  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
+  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
+    echo_n=
+    echo_c='
+'
+  else
+    echo_n=-n
+    echo_c=
+  fi
+else
+  echo_n=
+  echo_c='\c'
+fi
+
+EXE=@EXE@
+
+# ==================== Where To Install Things ====================
+
+# The default location for installation.  Everything is placed in
+# subdirectories of this directory.  The default values for many of
+# the variables below are expressed in terms of this one, so you may
+# not need to change them.  This defaults to /usr/local.
+prefix=@prefix@
+
+alt_dir=false
+if test $# -eq 1
+then
+  alt_dir=true
+  prefix=$1
+else
+  if test $# -gt 1
+  then
+    echo "usage: install-octave [prefix-directory]"
+    exit 1
+  fi
+fi
+
+# Like `prefix', but used for architecture-specific files.
+exec_prefix="$prefix"
+
+# Where to install Octave and other binaries that people will want to
+# run directly.
+bindir="$exec_prefix/bin"
+
+# Where to install architecture-independent data files.  ${fcnfiledir}
+# and ${localfcnfiledir} are subdirectories of this.
+datadir="$prefix/share"
+
+libdir="$exec_prefix/lib"
+
+# Where to install and expect libraries like libcruft.a and liboctave.a.
+octlibdir="$libdir/octave-$version"
+
+# Where to install and expect executable programs to be run by Octave
+# rather than directly by users.
+libexecdir="$exec_prefix/libexec"
+
+includedir="$prefix/include"
+
+# Where to install Octave's include files.  The default is
+# ${prefix}/include/octave-$version
+octincludedir=$includedir/octave-$version
+
+# Where to install Octave's man pages, and what extension they should
+# have.  The default is ${prefix}/man/man1
+mandir="$prefix/man/man1"
+manext="1"
+
+# Where to install and expect the info files describing Octave..
+infodir="$prefix/info"
+
+# The fill path to the default info file.
+infofile="$infodir/octave.info"
+
+# ==================== Octave-specific directories ====================
+
+# These variables hold the values Octave will actually use.  They are
+# based on the values of the standard Make variables above.
+
+# Where to install the function file distributed with
+# Octave.  This includes the Octave version, so that the
+# function files for different versions of Octave will install
+# themselves in separate directories.
+fcnfiledir="$datadir/octave/$version/m"
+
+# Directories Octave should search for function files specific
+# to this site (i.e. customizations), before consulting
+# ${fcnfiledir}.  This should be a colon-separated list of
+# directories.
+localfcnfiledir="$datadir/octave/site/m"
+localfcnfilepath="$localfcnfiledir//"
+
+# Where to put executables to be run by Octave rather than
+# the user.  This path usually includes the Octave version
+# and configuration name, so that multiple configurations
+# for multiple versions of Octave may be installed at once.
+archlibdir="$libexecdir/octave/$version/exec/$canonical_host_type"
+
+# Where to put executables to be run by Octave rather than by the
+# user that are specific to this site.
+localarchlibdir="$libexecdir/octave/site/exec/$canonical_host_type"
+
+# Where to put object files that will by dynamically loaded.
+# This path usually includes the Octave version and configuration
+# name, so that multiple configurations for multiple versions of
+# Octave may be installed at once. 
+octfiledir="$libexecdir/octave/$version/oct/$canonical_host_type"
+
+# Directories Octave should search for object files that will be
+# dynamically loaded and that are specific to this site
+# (i.e. customizations), before consulting ${octfiledir}.  This should
+# be a colon-separated list of directories.
+localoctfiledir="$libexecdir/octave/site/oct/$canonical_host_type"
+localoctfilepath="$localoctfiledir//"
+
+# Where Octave will search to find its function files.  Before
+# changing this, check to see if your purpose wouldn't
+# better be served by changing localfcnfilepath.  This
+# should be a colon-separated list of directories.
+fcnfilepath=".:$localoctfilepath:$localfcnfilepath:$octfiledir//:$fcnfiledir//"
+
+# Where Octave will search to find image files.es.
+imagedir="$datadir/octave/$version/imagelib"
+imagepath=".:$imagedir//"
+
+cat << EOF
+Installing octave in the following subdirectories of
+$prefix:
+
+            bindir: `echo $bindir | sed "s,^$prefix/,,"`
+           datadir: `echo $datadir | sed "s,^$prefix/,,"`
+            libdir: `echo $libdir | sed "s,^$prefix/,,"`
+         octlibdir: `echo $octlibdir | sed "s,^$prefix/,,"`
+        includedir: `echo $includedir | sed "s,^$prefix/,,"`
+     octincludedir: `echo $octincludedir | sed "s,^$prefix/,,"`
+            mandir: `echo $mandir | sed "s,^$prefix/,,"`
+           infodir: `echo $infodir | sed "s,^$prefix/,,"`
+        fcnfiledir: `echo $fcnfiledir | sed "s,^$prefix/,,"`
+   localfcnfiledir: `echo $localfcnfiledir | sed "s,^$prefix/,,"`
+        archlibdir: `echo $archlibdir | sed "s,^$prefix/,,"`
+   localarchlibdir: `echo $localarchlibdir | sed "s,^$prefix/,,"`
+        octfiledir: `echo $octfiledir | sed "s,^$prefix/,,"`
+   localoctfiledir: `echo $localoctfiledir | sed "s,^$prefix/,,"`
+          imagedir: `echo $imagedir | sed "s,^$prefix/,,"`
+
+EOF
+
+echo $echo_n "Is this correct [y/N]? " $echo_c
+
+read ans
+
+case "$ans" in
+  y | Y | yes | YES)
+  ;;
+  *)
+    exit 1
+  ;;
+esac
+
+DIRS_TO_MAKE="$bindir $datadir $libdir $octlibdir $libexecdir \
+  $includedir $octincludedir $mandir $infodir $fcnfiledir \
+  $localfcnfiledir $archlibdir $localarchlibdir \
+  $octfiledir $localoctfiledir $imagedir"
+
+./mkinstalldirs $DIRS_TO_MAKE
+
+if test "$prefix" = /usr/local
+then
+  echo "installing src/octave as $bindir/octave"
+  cp src/octave $bindir/octave
+  chmod 755 $bindir/octave
+else
+  echo "installing octave-sh as $bindir/octave"
+  sed "s|@OCTAVE_HOME@|$prefix|; s|@LD_LIBRARY_PATH@|$octlibdir|" octave-sh \
+    > $bindir/octave
+  chmod 755 $bindir/octave
+
+  echo "installing src/octave as $bindir/octave.bin"
+  cp src/octave $bindir/octave.bin
+  chmod 755 $bindir/octave.bin
+fi
+
+echo "installing octave-bug as $bindir/octave-bug"
+cp octave-bug $bindir/octave-bug
+chmod 755 $bindir/octave-bug
+
+echo "installing info as $archlibdir/info"
+cp info/info $archlibdir/info
+chmod 755 $archlibdir/info
+
+if test -f LIBRARIES; then
+  echo "installing shared libraries in $octlibdir"
+  for f in `cat LIBRARIES`
+  do
+    file=`basename $f`
+    cp $f $octlibdir/$file
+    chmod 644 $octlibdir/$file
+  done
+fi
+
+if $have_find; then
+  oct_files=`find . -name '*.oct' -print`
+  if test -n "$oct_files"; then
+    echo "installing .oct files in $octfiledir"
+    cd src
+    for f in $oct_files
+    do
+      file=`basename $f`
+      cp $f $octfiledir/$file
+      chmod 755 $octfiledir/$file
+    done
+    if test -f links-to-make; then
+      cat links-to-make | while read src dest
+      do
+	if test -n "$src" && test -n "$dest"; then
+	  cd $octfiledir
+	  ln $src $dest
+	fi
+      done
+    fi
+    cd $distdir
+  fi
+fi
+
+echo "installing .m files in $fcnfiledir"
+cd scripts
+tar cf - . | ( cd $fcnfiledir ; tar xf - )
+if $have_find; then
+  find $fcnfiledir -type f -print | xargs chmod 0644
+  find $fcnfiledir -name '*.img' -print | xargs rm -f
+fi
+cd $distdir
+
+echo "installing image files in $imagedir"
+cd scripts/image
+cp *.img $imagedir
+chmod 644 $imagedir/*.img
+cd $distdir
+
+echo "creating ls-R file in $datadir/octave"
+ls -LR $datadir/octave > $datadir/octave/ls-R
+
+echo "creating ls-R file in $libexecdir/octave"
+ls -LR $libexecdir/octave > $libexecdir/octave/ls-R
+
+echo "installing info files in $infodir"
+for f in doc/interpreter/octave.info*
+do
+  file=`basename $f`
+  cp $f $infodir/$file
+  chmod 644 $infodir/$file
+done
+
+echo "installing man page in $mandir"
+cp doc/interpreter/octave.1 $mandir/octave.$manext
+chmod 644 $mandir/octave.$manext
+
+case "$canonical_host_type" in
+  *-*-cygwin32)
+    if $alt_dir; then
+      echo "*** You have specified an installation directory different"
+      echo "*** from the default.  For Octave to run properly, you must"
+      echo "*** set the environment variable OCTAVE_HOME to"
+      echo "***"
+      echo "***   $prefix"
+      echo "***"
+      echo "*** before starting Octave."
+    fi
+  ;;
+esac
+
+exit 0
--- a/octMakefile.in	Tue Feb 24 06:32:31 1998 +0000
+++ b/octMakefile.in	Mon Mar 02 06:23:19 1998 +0000
@@ -27,7 +27,7 @@
 	BUGS COPYING INSTALL INSTALL.OCTAVE NEWS NEWS.[0-9] PROJECTS \
 	README README.Linux README.Windows ROADMAP SENDING-PATCHES \
 	THANKS move-if-change octave-sh octave-bug.in \
-	install-octave mkinstalldirs mkoctfile.in texi2dvi \
+	install-octave.in mkinstalldirs mkoctfile.in texi2dvi \
 	ChangeLog ChangeLog.[0-9]
 
 # Complete directory trees to distribute.
@@ -141,7 +141,7 @@
 	rm -f configure config.h.in octMakefile octave-bug Makefile \
 	Makeconf config.cache config.h config.log config.status \
 	Makerules.f77 mk-oct-links mkoctfile BUGS INSTALL.OCTAVE \
-	Makefrag.f77
+	Makefrag.f77 install-octave
 
 # Rules for making a source distribution.
 
--- a/src/ChangeLog	Tue Feb 24 06:32:31 1998 +0000
+++ b/src/ChangeLog	Mon Mar 02 06:23:19 1998 +0000
@@ -1,3 +1,13 @@
+Fri Feb 27 12:25:27 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>
+
+	* help.cc (additional_help_message): Fix www address.
+
+Tue Feb 24 00:42:59 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>
+
+	* help.cc (simple_help): Put additional help message first.
+  	(additional_help_message): Add information about web site and
+	mailing list.
+
 Fri Feb 20 00:41:06 1998  John W. Eaton  <jwe@bevo.che.wisc.edu>
 
 	* pt-plot.cc (GPLOT_CMD_REPLOT): Clear before replot.
--- a/src/help.cc	Tue Feb 24 06:32:31 1998 +0000
+++ b/src/help.cc	Mon Mar 02 06:23:19 1998 +0000
@@ -393,28 +393,27 @@
   return list;
 }
 
-#if defined (USE_GNU_INFO)
-
 void
 additional_help_message (ostream& os)
 {
+#if defined (USE_GNU_INFO)
+
   if (! Vsuppress_verbose_help_message)
     os << "\n\
 Additional help for builtin functions, operators, and variables\n\
-is available in the on-line version of the manual.\n\
-\n\
-Use the command `help -i <topic>' to search the manual index.\n";
-}
-
-#else
-
-void
-additional_help_message (ostream&)
-{
-}
+is available in the on-line version of the manual.  Use the command\n\
+`help -i <topic>' to search the manual index.\n";
 
 #endif
 
+  if (! Vsuppress_verbose_help_message)
+    os << "\n\
+Help and information about Octave is also available on the WWW\n\
+at http://www.che.wisc.edu/octave/octave.html and via the\n\
+help-octave@bevo.che.wisc.edu mailing list.\n";
+
+}
+
 // XXX FIXME XXX -- this needs a major overhaul to cope with new
 // symbol table stuff.
 
@@ -531,6 +530,10 @@
 static void
 simple_help (void)
 {
+  octave_stdout << "Help is available for the topics listed below.\n";
+
+  additional_help_message (octave_stdout);
+
   display_names_from_help_list (octave_stdout, operator_help (),
 				"operators");
 
@@ -573,8 +576,6 @@
 	  names.list_in_columns (octave_stdout);
 	}
     }
-
-  additional_help_message (octave_stdout);
 }
 
 #if defined (USE_GNU_INFO)